Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
  • Статус работы сервисов
  • Marketplace
    • Популярные
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Облако для интеграторов
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Контент-программа
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex Cloud Registry
  • Начало работы
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • GetByRegistry
        • Create
        • Update
        • Delete
  • Аудитные логи Audit Trails

В этой статье:

  • HTTP request
  • Path parameters
  • Response
  • ScanPolicyOptions
  • ScanRules
  • PushRule
  • ScheduledRule
  1. Справочник API
  2. REST (англ.)
  3. ScanPolicy
  4. Get

Yandex Cloud Registry API, REST: ScanPolicy.Get

Статья создана
Yandex Cloud
Обновлена 3 июня 2026 г.
  • HTTP request
  • Path parameters
  • Response
  • ScanPolicyOptions
  • ScanRules
  • PushRule
  • ScheduledRule

Returns the specified scan policy.

HTTP requestHTTP request

GET https://registry.api.cloud.yandex.net/cloud-registry/v1/scanPolicies/{scanPolicyId}

Path parametersPath parameters

Field

Description

scanPolicyId

string

Required field. ID of the scan policy.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "registryId": "string",
  "name": "string",
  "description": "string",
  "scanPolicyOptions": {
    "scanLangPackages": "boolean"
  },
  "rules": {
    "pushRule": {
      "paths": [
        "string"
      ],
      "disabled": "boolean"
    },
    "scheduleRules": [
      {
        "amount": "string",
        "intervalUnit": "string",
        "paths": [
          "string"
        ],
        "disabled": "boolean"
      }
    ]
  },
  "createdAt": "string",
  "disabled": "boolean"
}

Field

Description

id

string

Output only. ID of the scan policy.

registryId

string

ID of the registry that the scan policy belongs to.
Required. The maximum string length in characters is 50.

name

string

Name of the scan policy.

description

string

Description of the scan policy.
The maximum string length in characters is 256.

scanPolicyOptions

ScanPolicyOptions

Scan policy options.

rules

ScanRules

The rules of scan policy.

createdAt

string (date-time)

Output only. Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

disabled

boolean

Turns off scan policy.

ScanPolicyOptionsScanPolicyOptions

Field

Description

scanLangPackages

boolean

Flag indicating whether language packages should be scanned.

ScanRulesScanRules

Field

Description

pushRule

PushRule

Description of on-push scan rule.

scheduleRules[]

ScheduledRule

Description of time based rescan rule.

PushRulePushRule

Field

Description

paths[]

string

List of paths that are scanned with rule. Child paths are included into parent node. "*" - means all artifacts in registry

Each value must match the regular expression \*|[a-z0-9]+(?:[._-][a-z0-9]+)*(/([a-z0-9]+(?:[._-][a-z0-9]+)*))*. The number of elements must be greater than 0.

disabled

boolean

Turns off scan rule.

ScheduledRuleScheduledRule

Field

Description

amount

string (int64)

Amount of time units for the scan interval.

Value must be greater than 0.

intervalUnit

enum (IntervalUnit)

Unit for the scan interval.

  • DAYS: Time unit is days.

paths[]

string

List of paths that are scanned with rule. Child paths are included into parent node. "*" - means all artifacts in registry

Each value must match the regular expression \*|[a-z0-9]+(?:[._-][a-z0-9]+)*(/([a-z0-9]+(?:[._-][a-z0-9]+)*))*. The number of elements must be in the range 1-1000.

disabled

boolean

Turns off scan rule.

Была ли статья полезна?

Предыдущая
Overview
Следующая
GetByRegistry
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ООО «Яндекс.Облако»